> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /indiegogo/campaigns/search

> Search and discover Indiegogo crowdfunding campaigns with filters and sort

**Price:** 5 credits per 24 results



## OpenAPI

````yaml /openapi/company-startup-intel.json post /api/indiegogo/campaigns/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/indiegogo/campaigns/search:
    post:
      tags:
        - /indiegogo
      summary: /indiegogo/campaigns/search
      description: >-
        Search and discover Indiegogo crowdfunding campaigns with filters and
        sort


        **Price:** 5 credits per 24 results
      operationId: __api_indiegogo_campaigns_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IndiegogoCampaignsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/IndiegogoCampaignCard'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    IndiegogoCampaignsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        term:
          anyOf:
            - type: string
            - type: 'null'
        sort:
          $ref: '#/components/schemas/IndiegogoSort'
          default: 0
        categories:
          anyOf:
            - items:
                $ref: '#/components/schemas/IndiegogoCategory'
              type: array
            - type: 'null'
        phases:
          anyOf:
            - items:
                $ref: '#/components/schemas/IndiegogoPhase'
              type: array
            - type: 'null'
        benefits:
          anyOf:
            - items:
                $ref: '#/components/schemas/IndiegogoBenefit'
              type: array
            - type: 'null'
        tags:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
        creator_id:
          anyOf:
            - type: integer
            - type: 'null'
        player_counts:
          anyOf:
            - items:
                $ref: '#/components/schemas/IndiegogoPlayerCount'
              type: array
            - type: 'null'
        count:
          type: integer
          maximum: 10000
          minimum: 1
      type: object
      required:
        - count
    IndiegogoCampaignCard:
      properties:
        '@type':
          type: string
          default: IndiegogoCampaignCard
        id:
          type: integer
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        tagline:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        platform:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        currency_symbol:
          anyOf:
            - type: string
            - type: 'null'
        goal:
          anyOf:
            - type: number
            - type: 'null'
        funds_raised:
          anyOf:
            - type: number
            - type: 'null'
        percent_funded:
          anyOf:
            - type: number
            - type: 'null'
        backer_count:
          anyOf:
            - type: integer
            - type: 'null'
        follower_count:
          anyOf:
            - type: integer
            - type: 'null'
        funded_in_seconds:
          anyOf:
            - type: integer
            - type: 'null'
        installment_count:
          anyOf:
            - type: integer
            - type: 'null'
        installment_min_payment:
          anyOf:
            - type: number
            - type: 'null'
        phase:
          anyOf:
            - type: string
            - type: 'null'
        campaign_start_at:
          anyOf:
            - type: integer
            - type: 'null'
        campaign_end_at:
          anyOf:
            - type: integer
            - type: 'null'
        tags:
          items:
            $ref: '#/components/schemas/IndiegogoTag'
          type: array
          default: []
        game_properties:
          anyOf:
            - $ref: '#/components/schemas/IndiegogoGameProperties'
            - type: 'null'
        creator:
          anyOf:
            - $ref: '#/components/schemas/IndiegogoCreator'
            - type: 'null'
      type: object
      required:
        - id
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    IndiegogoSort:
      type: integer
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
    IndiegogoCategory:
      type: string
      enum:
        - TechAndInnovation
        - General
        - Productivity
        - TravelAndOutdoors
        - Home
        - EnergyAndGreenTech
        - CameraGear
        - HealthAndFitness
        - Transportation
        - PhonesAndAccessories
        - FashionAndWearables
        - FoodAndBeverages
        - Audio
        - Education
        - CreativeWorks
        - Film
        - Comics
        - Music
        - WritingAndPublishing
        - DanceAndTheater
        - Art
        - WebSeriesAndTVShows
        - OtherCreations
        - PodcastsBlogsAndVlogs
        - Photography
        - CommunityProjects
        - Wellness
        - Culture
        - LocalBusinesses
        - OtherCommunityProjects
        - Environment
        - HumanRights
        - GamingCulture
        - BoardAndCardGames
        - VideoGames
        - TTRPG
        - Accessories
        - Others
    IndiegogoPhase:
      type: string
      enum:
        - Upcoming
        - Crowdfunding
        - Preorder
        - Funded
        - LatePledge
        - Store
    IndiegogoBenefit:
      type: string
      enum:
        - StablePledge
        - StretchPay
    IndiegogoPlayerCount:
      type: string
      enum:
        - One
        - Two
        - Three
        - FourAndMore
    IndiegogoTag:
      properties:
        '@type':
          type: string
          default: IndiegogoTag
        id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    IndiegogoGameProperties:
      properties:
        '@type':
          type: string
          default: IndiegogoGameProperties
        min_age:
          anyOf:
            - type: integer
            - type: 'null'
        min_players:
          anyOf:
            - type: integer
            - type: 'null'
        max_players:
          anyOf:
            - type: integer
            - type: 'null'
        play_time:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    IndiegogoCreator:
      properties:
        '@type':
          type: string
          default: IndiegogoCreator
        id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        profile_url:
          anyOf:
            - type: string
            - type: 'null'
        bio:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - type: string
            - type: 'null'
        legal_entity_name:
          anyOf:
            - type: string
            - type: 'null'
        legal_entity_type:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````